Summary: sme server integration of zabbix proxy
Name: smeserver-zabbix-proxy
Version: 0.3.1
Release: 1%{?dist}
License: GNU GPL version 3
URL: http://www.zabbix.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: fping
Requires: zabbix-proxy-mysql
Requires: smeserver-remoteuseraccess
Conflicts: smeserver-zabbix-server
Obsoletes: zabbix-server
Obsoletes: zabbix-server-mysql
AutoReqProv: no

%description
smserver integration of zabbix proxy
Zabbix is an entreprise-class open source distributed monitoring
solution

%changelog
* Thu Nov 28 2019 Daniel Berteaud <daniel@firewall-services.com> 0.3.1-1
- new package built with tito
- adapt spec file for tito
- adapt to be used with upstream zabbix packages
* Mon Mar 21 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.3.0-1.sme
- Add support for encryption features of Zabbix 3.0

* Wed Jun 5 2013 Daniel B. <daniel@firewall-services.com> 0.2.2-1.sme
- Don't try to upgrade the database

* Fri Apr 19 2013 Daniel B. <daniel@firewall-services.com> 0.2.1-1.sme
- Sync config every 10 minutes

* Thu Jun 14 2012 Daniel B. <daniel@firewall-services.com> 0.2.0-1.sme
- Import to GIT
- Only import the schema when creating the database

* Fri Oct 07 2011 Daniel B. <daniel@firewall-services.com> 0.1-11
- Fixe 2 directives (needed for Zabbix 1.8.8)

* Thu Nov 25 2010 Daniel B. <daniel@firewall-services.com> 0.1-9
- Requires the mysql variant of server and proxy

* Tue Oct 19 2010 Daniel B. <daniel@firewall-services.com> 0.1-8
- Possibility to set Hostname from the DB

* Thu Apr 15 2010 Daniel B. <daniel@firewall-services.com> 0.1-7
- Support multiple dbpatches

* Mon Sep 28 2009 Daniel B. <daniel@firewall-services.com> 0.1-6
- Fixe /etc/sudoers template expension during zabbix-proxy-update event

* Tue Mar 03 2009 Daniel B. <daniel@firewall-services.com> 0.1-5
- Add smeserver-remoteuseraccess as a dependencie (sudoers template problem)

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-4
- Disable DB cache as it seems to cause IPC problems

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-3
- enable DB cache with StartDBSyncers directive

* Sun Mar 01 2009 Daniel B. <daniel@firewall-services.com> 0.1-2
- Fix permissions on /var/lib/zabbix/tmp

* Tue Feb 24 2009 Daniel B. <daniel@firewall-services.com> 0.1-1
- Fix createlinks

* Tue Feb 24 2009 Daniel B. <daniel@firewall-services.com> 0.1-0
- initial release

%prep
%setup

%build
perl ./createlinks
%{__mkdir_p} root/var/lib/zabbix/tmp

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file /var/lib/zabbix/bin/fping 'attr(0750,root,zabbix)' \
	--file /var/lib/zabbix/bin/fping6 'attr(0750,root,zabbix)' \
	--dir /var/lib/zabbix/tmp 'attr(0755,zabbix,zabbix)' \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/db configuration setprop zabbix-proxy status disabled
 /etc/init.d/zabbix-proxy stop
fi

true
